package com.jqtx.windows.command;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.jqtx.infrastructure.oss.starter.config.OssUtils;
import com.jqtx.windows.common.factory.AbstractCommand;
import com.jqtx.windows.common.factory.RuntimeContextHolder;
import com.jqtx.windows.component.CreditComponent;
import com.jqtx.windows.component.model.CreditModel;
import com.jqtx.windows.web.request.RiskCreditRequest;
import com.jqtx.windows.web.response.JsonResult;
import com.jqtx.windows.web.response.LoanSubmitResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class RiskQueryDataCommand extends AbstractCommand {
    @Autowired

    private CreditComponent creditComponent;
    @Autowired
    private OssUtils ossUtils;

    public JsonResult execute() {
        String request = RuntimeContextHolder.currentRuntimeContext().getRequestBody();
        RiskCreditRequest riskCreditRequest = JSON.parseObject(request, RiskCreditRequest.class);
        CreditModel creditModel = creditComponent.getByOrderNo(riskCreditRequest.getOrderNo());
        String data = ossUtils.getStringObject(creditModel.getCreditThirdUrl());
        JSONObject jsonObject = JSONObject.parseObject(data);
        return JsonResult.success(jsonObject.getJSONObject(riskCreditRequest.getApiCode()));
    }
}
